Bug 15511 - Проблемы со шрифтами в OO 2.4 из сизифа
: Проблемы со шрифтами в OO 2.4 из сизифа
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openoffice.org)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://enformation.by.ru/info/water.t...
:
:
:
  Show dependency tree
 
Reported: 2008-04-30 19:18 by
Modified: 2008-05-27 17:50 (History)


Attachments
screenshot (162.40 KB, image/png)
2008-05-08 16:17, Valery Inozemtsev
no flags Details
OO 2.4 сборка ALT Linux до преобразования (140.61 KB, image/png)
2008-05-18 09:49, skywriter_ufalug
no flags Details
OO 2.4 сборка ALT Linux после преобразования (154.65 KB, image/png)
2008-05-18 09:50, skywriter_ufalug
no flags Details
OO 2.4 сборка I-RS в ALT Linux (150.37 KB, image/png)
2008-05-18 09:51, skywriter_ufalug
no flags Details
2.4.0.11-alt2 (160.01 KB, image/png)
2008-05-18 14:27, Valery Inozemtsev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-04-30 19:18:25
После установки OO 2.4 из сизифа начались проблемы со шрифтами при открытии
некоторых файлов в формате doc. Ссылку на один из таких файлов я прикрепил. В
OO
2.3, который шёл с дистром, такой проблемы не было.
------- Comment #1 From 2008-04-30 20:32:25 -------
шрифт "Times New Roman Cyr" никогда не был юникодным, там используется 
латиница.
для нормального отображения текст нужно перекодировать из латиницы в кирилицу
------- Comment #2 From 2008-05-02 14:59:25 -------
1. По поводу "из латиницы". Выделил в документе текст, нажал "Кириллический
документ -> В кириллицу", после этого текст стал читабельным, но буквы стали
слипаться и наезжать друг на друга.

2. В Open Office 2.3.1 из дистра Desktop 4.0.2 это документ открывался безо
всяких манипуляций.

3. Судя по "CLOSED INVALID", если после обновления офисного пакета стали
требоваться какие-то манипуляции со старыми документами, это считается
нормальной работой?
------- Comment #3 From 2008-05-02 15:01:39 -------
4. Если на пункт 3 ответ "да", то:

"Пользователь идёт лесом" - это теперь официальная линия ООО "Альт линукс" или
инициатива отдельных разработчиков?
------- Comment #4 From 2008-05-02 15:07:35 -------
(In reply to comment #2)
> 3. Судя по "CLOSED INVALID", если после обновления офисного пакета стали
> требоваться какие-то манипуляции со старыми документами, это считается
> нормальной работой?

для документов созданных в MSO да

(In reply to comment #3)
> 4. Если на пункт 3 ответ "да", то:
> 
> "Пользователь идёт лесом" - это теперь официальная линия ООО "Альт линукс" 
или
> инициатива отдельных разработчиков?

это официальная линия разработчиков ООо. от "Альт линукс" для работы с такими 
документами есть CyrillicTools
------- Comment #5 From 2008-05-02 20:48:07 -------
CyrillicTools - это пункт главного меню, где предлагается перевести документ в
кириллицу? Если да, что я уже сообщил о результате: "текст стал читабельным, но
буквы стали слипаться и наезжать друг на друга."

Менять шрифт (например, на DejaVu Sans) во всём документе проблематично:
- документов может быть много;
- шрифт в нём не везде одинаковый.

По поводу "официальной линии разработчиков ООо" - я пока ещё не проверил
конкретно этот случай (нету под рукой OO 2.4 для винды), но в более ранних
версиях OO я уже видел, когда одной и той же версией OO документ под виндой
открывался корректно, а в линуксе - проблемы со шрифтами.

Я не могу поверить, что разработчики OO позволили себе ухудшить поддержку
формата в более новой версии.
------- Comment #6 From 2008-05-02 21:11:17 -------
напишите об этом в http://qa.openoffice.org/
------- Comment #7 From 2008-05-08 16:01:58 -------
Сомневаюсь, что имеет смысл писать об этом в upstream.
Только что проверил OO 2.4 под WinXP от Инфраресурс.
Этот документ там нормально открылся.

Итак мы имеем:
2.3 ALT 4 Desktop - нормально открывает;
2.4 WinXP Инфрасурс - нормально открывает;
2.4 Sisyphus - крякозябры, съезжание текста, слипание буков.

Виноваты разработчики из upstream???
------- Comment #8 From 2008-05-08 16:17:32 -------
Created an attachment (id=2608) [details]
screenshot

и в чем проблема?
------- Comment #9 From 2008-05-08 17:59:06 -------
Проверьте на upstream-сборке (не от Инфраресурса). Если там проблема есть - 
значит туда, если там проблемы нет - значит это проблема в Сизифе.
------- Comment #10 From 2008-05-09 01:12:25 -------
По поводу скриншота - это интересно! А как сюда скриншоты прикреплять? А то я
бы
тоже выложил...

По поводу upstream-сборки: можно, конечно, проверить, но это опять 120 метров
качать. Но в даже если Инфраресурс наложил что-то своё, что сделало проект
лучше, почему бы в Альте это тоже не сделать? Ведь насколько я понимаю, это
потом пойдёт в branch...
------- Comment #11 From 2008-05-09 13:04:07 -------
(In reply to comment #10)
> По поводу upstream-сборки: можно, конечно, проверить,
> но это опять 120 метров качать.
Это ещё не самое худшее... про восьмибитные TTF давно уже забыли, я ещё лет
шесть тому в одном месте учился применять pfaedit (кажется, ныне fontforge) для
превращения такого в (ограниченный) юникодный.

Бишь попробуйте-ка открыть эти же документы с этими же шрифтами в разных
доступных вордах, если есть в округе, а потом уж делайте далеко идущие выводы
про OOo/ООО, разработчиков и прочее на пустом месте.  Не исключено, что там
такие замшелые шрифты/документы имеют и большие проблемы.  Регрессия всегда
досадна, но такие случаи -- цена прогресса, будь он неладен.

PS: в OOo есть маппинг шрифтов.
------- Comment #12 From 2008-05-09 13:26:06 -------
(In reply to comment #10)
> По поводу скриншота - это интересно! А как сюда скриншоты прикреплять?

Ссылка "create new attachment"

> По поводу upstream-сборки: можно, конечно, проверить, но это опять 120 метров
качать.

Увы. Кстати, проверьте ещё на Инфра-ресурсовой сборке под Linux.

> Но в даже если Инфраресурс наложил что-то своё, что сделало проект
> лучше, почему бы в Альте это тоже не сделать? Ведь насколько я понимаю, это
> потом пойдёт в branch...

Для этого надо сначала продиагностировать проблему более тщательно, а то пока 
непонятно: локальная неправильная конфигурация, ошибка в upstream, ошибка в 
Sisyphus-ных патчах или ошибка во взаимодействии OOo 2.4 и чего-то в Linux.
------- Comment #13 From 2008-05-18 09:49:23 -------
Created an attachment (id=2633) [details]
OO 2.4 сборка ALT Linux до преобразования

OO 2.4 ALT Linux до преобразования
------- Comment #14 From 2008-05-18 09:50:12 -------
Created an attachment (id=2634) [details]
OO 2.4 сборка ALT Linux после преобразования

OO 2.4 сборка ALT Linux после преобразования
------- Comment #15 From 2008-05-18 09:51:08 -------
Created an attachment (id=2635) [details]
OO 2.4 сборка I-RS в ALT Linux

OO 2.4 сборка I-RS в ALT Linux
------- Comment #16 From 2008-05-18 09:54:15 -------
Вот как отображает документ OO 2.4 сборка ALT Linux Team:

https://bugzilla.altlinux.org/attachment.cgi?id=2633
(рис.1)

После преобразования "Латиница в кириллицу" получаеются вот такие слипшиеся
буквы:

https://bugzilla.altlinux.org/attachment.cgi?id=2634
(рис.2)

Проверил upstream сборку под виндой - отображает каракули вместо буков.
Проверил сборку I-RS под ALT Linux: отображает слипшиеся буквы как и в сборке
ALT Linux Team, 
но с некоторыми отличиями: 
1. Не нужно делать преобразование "Латиница в кириллицу";
2. Названия заголовков ("Заголовок 1" на скриншоте) написано русскими буквами,
а
не каракулями.

https://bugzilla.altlinux.org/attachment.cgi?id=2635
(рис.3)

Ещё обнаружил, что в качестве текущего шрифта в документе стоит шрифт, которого
в системе у меня нет: Times New Roman Cyr. Я попробовал импортировать из винды
шрифт Times New Roman (без Cyr), потом загрузить документ, выделить текст и
вручную назначить ему шрифт "Times New Roman" - буквы стали нормальные (правда,
почему-то не такие сглаженные, как на скриншоте Valery Inozemtsev?). Тогда я,
чтобы не заменять вручную шрифт во всём документе, попробовал добавить в
таблицу
замен шрифтов пункт для замены шрифта Times New Roman Cyr на Times New Roman -
не помогло. 

Есть ли способ сделать так же, как сборке I-RS под виндой - чтобы открывалось
нормально безо всяких преобразований?
------- Comment #17 From 2008-05-18 14:27:24 -------
Created an attachment (id=2636) [details]
2.4.0.11-alt2

вот так выглядит этот документ сразу после открытия в
openoffice.org-2.4.0.11-alt2
------- Comment #18 From 2008-05-18 14:28:28 -------
это максимум что возможно
------- Comment #19 From 2008-05-19 12:18:50 -------
Вижу слипшиеся буквы. Это называется resolved fixed?
Почему в 2.3.1 было возможно, а сейчас не стало?
Почему в сборке 2.4 от I-RS под Win32 можно открывать нормально, 
а тут - нет?
------- Comment #20 From 2008-05-19 12:26:15 -------
Win32 != linux
------- Comment #21 From 2008-05-19 17:08:55 -------
Win32 пусть и != Linux, но OpenOffice == OpenOffice.

Если кто-то увидит такую проблему, ему будет глубоко наплевать, Win32 или Linux,
или же ещё что. Ему нужно решение, а не Win32 != Linux.

Ваша задача - сделать отличное решение. Наша задача - помочь вам в этом, что мы
и стараемся делать. Но я воспринимаю ваши ответы как поиск оправданий и галочку,
что типа что-то сделали.

Прошу отнестись к этой проблеме серьёзнее и сделать, чтобы всё было хотя бы
близко к идеалу. Это важно как для нас, так и для вас.

P.S.
Только без обид.
------- Comment #22 From 2008-05-19 17:24:39 -------
исходники ООо доступны, вот и исправьте и пришлите патчи
------- Comment #23 From 2008-05-27 17:50:33 -------
(In reply to comment #21)
> Win32 пусть и != Linux, но OpenOffice == OpenOffice.
Мужики -- боюсь, с неюникодными шрифтами мало кого это всё озаботит.

Берите в руки fontforge и переделывайте их в хотя бы совместимые с юникодными по
положению глифов, вешайте баги в _апстримную_ issuezilla (ссылку Валера дал), но
будьте добры -- не считайте, что майнтейнер всесилен исправить проблемы во всех
своих пакетах.

Есть вещи, которые можно исправить упаковкой или известными патчами (кстати, мож
и для этой проблемы где найдётся) -- но есть вещи, которые попросту нельзя
требовать от _сборщика_, а не разработчика.  Поверьте на слово, сборка OOo --
совсем не сахар сама по себе.

> Ваша задача - сделать отличное решение.
Проблема в том, что отличное решение тоже не является идеальным.  В том числе не
может работать для всех и всегда.  Увы.

> Наша задача - помочь вам в этом, что мы и стараемся делать.
Спасибо.

> Но я воспринимаю ваши ответы как поиск оправданий и галочку,
> что типа что-то сделали.
Да нет :-)  Просто Валера обычно быстро определяется с мнением по багам (оно
нередко бывает INVALID).  Иногда его получается переубедить, представив полезные
аргументы (например, патчи) -- обычно нет (например, потому что он прав).

Это не стоит принимать близко к сердцу, хотя действительно несложно.

> P.S.
> Только без обид.
Надеюсь, взаимно.

2 shrek: ты эта, сам меня зови на общение по таким проблемам, ежели чего :-)
Отпинывать действительно слабо помогает -- надо помочь человеку понять, где на
самом деле проблема и что дело не в злонамеренных регрессах, а в её редкости.
Хотя картинка на скриншоте из #c17 знакомая по старым годам.